%global npm_name har-validator
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 5.1.0
Release: %mkrel 7
Summary: Extremely fast HTTP Archive (HAR) validator using JSON Schema
License: ISC
Group: Development/Other
URL: https://github.com/ahmadnassri/har-validator
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(ajv)
Requires: npm(har-schema)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep ajv ">=6.4.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 5.1.0-7.mga9
+ Revision: 1820433
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 joequant <joequant> 5.1.0-6.mga8
+ Revision: 1638389
- redo deps

* Fri Oct 02 2020 tv <tv> 5.1.0-5.mga8
+ Revision: 1631679
- rebuild in order to fix deps

* Wed Feb 12 2020 umeabot <umeabot> 5.1.0-4.mga8
+ Revision: 1502800
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 5.1.0-3.mga7
+ Revision: 1280501
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 5.1.0-2.mga7
+ Revision: 1227322
- Fix nodejs dependencies

* Wed May 02 2018 kekepower <kekepower> 5.1.0-1.mga7
+ Revision: 1224772
- imported package nodejs-har-validator

